%define	upstream_name	 Net-Akismet
%define	upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:	Perl interface to Akismet - comment and trackback spam fighter 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/N/NI/NIKOLAY/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(LWP::UserAgent)
Buildrequires:	perl-devel
Buildarch:	noarch


%description
Net::Akismet is a Perl interface to Akismet, a comment and trackback
spam fighter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net/Akismet.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-3.mga3
+ Revision: 370491
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36882
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.50.0-1.mga1
+ Revision: 34944
- mageia rebuild
- imported package perl-Net-Akismet

